import ArgumentParser
import Foundation

@main
struct CapTrain: AsyncParsableCommand {
    
    @Argument(help: "The path to the configuration file")
    var configPath: String

    func run() async throws {
        let configurationFileUrl = URL(fileURLWithPath: configPath)

        let configuration = try Configuration(at: configurationFileUrl)
        let creator = try ClassifierCreator(configuration: configuration)
        
        try await creator.run()
    }
}
